weka.core.pmml.jaxbbindings

## Class TrendExpoSmooth

- java.lang.Object
- - weka.core.pmml.jaxbbindings.TrendExpoSmooth

-     public class TrendExpoSmooth
      extends java.lang.Object

  Java class for Trend_ExpoSmooth element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Trend_ExpoSmooth">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <group ref="{http://www.dmg.org/PMML-4_1}REAL-ARRAY" minOccurs="0"/>
               </sequence>
               <attribute name="gamma" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="phi" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="1" />
               <attribute name="smoothedValue" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="trend" default="additive">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                     <enumeration value="additive"/>
                     <enumeration value="damped_additive"/>
                     <enumeration value="multiplicative"/>
                     <enumeration value="damped_multiplicative"/>
                     <enumeration value="polynomial_exponential"/>
                   </restriction>
                 </simpleType>
               </attribute>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrendExpoSmooth()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayType` | `getArray()` Gets the value of the array property.
    `java.lang.Double` | `getGamma()` Gets the value of the gamma property.
    `double` | `getPhi()` Gets the value of the phi property.
    `java.lang.Double` | `getSmoothedValue()` Gets the value of the smoothedValue property.
    `java.lang.String` | `getTrend()` Gets the value of the trend property.
    `void` | `setArray(ArrayType value)` Sets the value of the array property.
    `void` | `setGamma(java.lang.Double value)` Sets the value of the gamma property.
    `void` | `setPhi(java.lang.Double value)` Sets the value of the phi property.
    `void` | `setSmoothedValue(java.lang.Double value)` Sets the value of the smoothedValue property.
    `void` | `setTrend(java.lang.String value)` Sets the value of the trend property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrendExpoSmooth

          public TrendExpoSmooth()

  - ### Method Detail

    - #### getArray

          public ArrayType getArray()

      Gets the value of the array property.
      Returns:
        possible object is `ArrayType`

    - #### setArray

          public void setArray(ArrayType value)

      Sets the value of the array property.
      Parameters:
        `value` - allowed object is `ArrayType`

    - #### getGamma

          public java.lang.Double getGamma()

      Gets the value of the gamma property.
      Returns:
        possible object is `Double`

    - #### setGamma

          public void setGamma(java.lang.Double value)

      Sets the value of the gamma property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getPhi

          public double getPhi()

      Gets the value of the phi property.
      Returns:
        possible object is `Double`

    - #### setPhi

          public void setPhi(java.lang.Double value)

      Sets the value of the phi property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getSmoothedValue

          public java.lang.Double getSmoothedValue()

      Gets the value of the smoothedValue property.
      Returns:
        possible object is `Double`

    - #### setSmoothedValue

          public void setSmoothedValue(java.lang.Double value)

      Sets the value of the smoothedValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTrend

          public java.lang.String getTrend()

      Gets the value of the trend property.
      Returns:
        possible object is `String`

    - #### setTrend

          public void setTrend(java.lang.String value)

      Sets the value of the trend property.
      Parameters:
        `value` - allowed object is `String`